<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::filter::X4X8Multiplex Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1filter_1_1_x4_x8_multiplex.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1filter_1_1_x4_x8_multiplex-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::filter::X4X8Multiplex Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining X4 and X8 multiplexing.  
 <a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_x4_x8_multiplex_8h_source.html">X4X8Multiplex.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::filter::X4X8Multiplex:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1filter_1_1_x4_x8_multiplex.png" usemap="#flair::filter::X4X8Multiplex_map" alt=""/>
  <map id="flair::filter::X4X8Multiplex_map" name="flair::filter::X4X8Multiplex_map">
<area href="classflair_1_1filter_1_1_uav_multiplex.html" title="Class defining uav multiplexing. " alt="flair::filter::UavMultiplex" shape="rect" coords="0,112,153,136"/>
<area href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="flair::core::IODevice" shape="rect" coords="0,56,153,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,153,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ae7be46c8a6e49d2b53a733416cfd0fcb"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">UavType_t</a> { <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036">X4</a>, 
<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084">X8</a>
 }</td></tr>
<tr class="memdesc:ae7be46c8a6e49d2b53a733416cfd0fcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">type of UAV  <a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">More...</a><br /></td></tr>
<tr class="separator:ae7be46c8a6e49d2b53a733416cfd0fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeabd1401562b871ef67112dfc090a4b4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4">MotorNames_t</a> { <br />
&#160;&#160;<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd">TopFrontLeft</a> = 0, 
<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756">TopFrontRight</a> = 1, 
<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450">TopRearLeft</a> = 2, 
<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc">TopRearRight</a> = 3, 
<br />
&#160;&#160;<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a77b9010aee3383fa0765b8154d7884a0">BottomFrontLeft</a> = 4, 
<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a6e80b22119896bcb7eedf15730c248a8">BottomFrontRight</a> = 5, 
<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0">BottomRearLeft</a> = 6, 
<a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a1b4222cea334c2c0694fad03b3100074">BottomRearRight</a> = 7
<br />
 }</td></tr>
<tr class="memdesc:aeabd1401562b871ef67112dfc090a4b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Motor names.  <a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4">More...</a><br /></td></tr>
<tr class="separator:aeabd1401562b871ef67112dfc090a4b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a32a704ec5f3dcf55007b9d02998a5ce5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a32a704ec5f3dcf55007b9d02998a5ce5">X4X8Multiplex</a> (std::string name, <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">UavType_t</a> type)</td></tr>
<tr class="memdesc:a32a704ec5f3dcf55007b9d02998a5ce5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a32a704ec5f3dcf55007b9d02998a5ce5">More...</a><br /></td></tr>
<tr class="separator:a32a704ec5f3dcf55007b9d02998a5ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3b731c11f87975b216e54f2b568c0e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aa3b731c11f87975b216e54f2b568c0e1">~X4X8Multiplex</a> ()</td></tr>
<tr class="memdesc:aa3b731c11f87975b216e54f2b568c0e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa3b731c11f87975b216e54f2b568c0e1">More...</a><br /></td></tr>
<tr class="separator:aa3b731c11f87975b216e54f2b568c0e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807762c68c04134ef3ccea86d68a238a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a807762c68c04134ef3ccea86d68a238a">UseDefaultPlot</a> (void)</td></tr>
<tr class="memdesc:a807762c68c04134ef3ccea86d68a238a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#a807762c68c04134ef3ccea86d68a238a">More...</a><br /></td></tr>
<tr class="separator:a807762c68c04134ef3ccea86d68a238a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d01e1773c2550552e9704f267a74ba8"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a1d01e1773c2550552e9704f267a74ba8">MotorsCount</a> (void) const </td></tr>
<tr class="memdesc:a1d01e1773c2550552e9704f267a74ba8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Motors count.  <a href="#a1d01e1773c2550552e9704f267a74ba8">More...</a><br /></td></tr>
<tr class="separator:a1d01e1773c2550552e9704f267a74ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1filter_1_1_uav_multiplex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">flair::filter::UavMultiplex</a></td></tr>
<tr class="memitem:a3c2eee3c6dff30b093501a7ed8df8a4f inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a3c2eee3c6dff30b093501a7ed8df8a4f">UavMultiplex</a> (std::string name)</td></tr>
<tr class="memdesc:a3c2eee3c6dff30b093501a7ed8df8a4f inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3c2eee3c6dff30b093501a7ed8df8a4f">More...</a><br /></td></tr>
<tr class="separator:a3c2eee3c6dff30b093501a7ed8df8a4f inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e164ab1ddc7017e86a890e2fe4755a0 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a6e164ab1ddc7017e86a890e2fe4755a0">~UavMultiplex</a> ()</td></tr>
<tr class="memdesc:a6e164ab1ddc7017e86a890e2fe4755a0 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a6e164ab1ddc7017e86a890e2fe4755a0">More...</a><br /></td></tr>
<tr class="separator:a6e164ab1ddc7017e86a890e2fe4755a0 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a355b6f35700da8036bab83040ab04ee9 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a355b6f35700da8036bab83040ab04ee9">SetRoll</a> (float value)</td></tr>
<tr class="memdesc:a355b6f35700da8036bab83040ab04ee9 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set roll torque.  <a href="#a355b6f35700da8036bab83040ab04ee9">More...</a><br /></td></tr>
<tr class="separator:a355b6f35700da8036bab83040ab04ee9 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d9552b36d8c4f001659c4c4872cafc9 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a8d9552b36d8c4f001659c4c4872cafc9">SetPitch</a> (float value)</td></tr>
<tr class="memdesc:a8d9552b36d8c4f001659c4c4872cafc9 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set pitch torque.  <a href="#a8d9552b36d8c4f001659c4c4872cafc9">More...</a><br /></td></tr>
<tr class="separator:a8d9552b36d8c4f001659c4c4872cafc9 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab63686eef3ef921295f61b4df1bc8045 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#ab63686eef3ef921295f61b4df1bc8045">SetYaw</a> (float value)</td></tr>
<tr class="memdesc:ab63686eef3ef921295f61b4df1bc8045 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw torque.  <a href="#ab63686eef3ef921295f61b4df1bc8045">More...</a><br /></td></tr>
<tr class="separator:ab63686eef3ef921295f61b4df1bc8045 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acce7153720afb9f7478dd3293095eeff inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#acce7153720afb9f7478dd3293095eeff">SetThrust</a> (float value)</td></tr>
<tr class="memdesc:acce7153720afb9f7478dd3293095eeff inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set thrust.  <a href="#acce7153720afb9f7478dd3293095eeff">More...</a><br /></td></tr>
<tr class="separator:acce7153720afb9f7478dd3293095eeff inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1af4f73fed0a968402d4097b92700824 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a1af4f73fed0a968402d4097b92700824">SetRollTrim</a> (float value)</td></tr>
<tr class="memdesc:a1af4f73fed0a968402d4097b92700824 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set roll trim.  <a href="#a1af4f73fed0a968402d4097b92700824">More...</a><br /></td></tr>
<tr class="separator:a1af4f73fed0a968402d4097b92700824 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15be6ffdc0e91df15243490d6272035a inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a15be6ffdc0e91df15243490d6272035a">SetPitchTrim</a> (float value)</td></tr>
<tr class="memdesc:a15be6ffdc0e91df15243490d6272035a inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set pitch trim.  <a href="#a15be6ffdc0e91df15243490d6272035a">More...</a><br /></td></tr>
<tr class="separator:a15be6ffdc0e91df15243490d6272035a inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8938ae194aa4cb399ac87fc0acd10b0 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0">SetYawTrim</a> (float value)</td></tr>
<tr class="memdesc:ac8938ae194aa4cb399ac87fc0acd10b0 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw trim.  <a href="#ac8938ae194aa4cb399ac87fc0acd10b0">More...</a><br /></td></tr>
<tr class="separator:ac8938ae194aa4cb399ac87fc0acd10b0 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9a7e053431c9a266df9754da194132d inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d">Update</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a> time)</td></tr>
<tr class="memdesc:aa9a7e053431c9a266df9754da194132d inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update using provided datas.  <a href="#aa9a7e053431c9a266df9754da194132d">More...</a><br /></td></tr>
<tr class="separator:aa9a7e053431c9a266df9754da194132d inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad60d60974b3e894b6bae8e39665bb24b inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#ad60d60974b3e894b6bae8e39665bb24b">LockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:ad60d60974b3e894b6bae8e39665bb24b inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock user interface.  <a href="#ad60d60974b3e894b6bae8e39665bb24b">More...</a><br /></td></tr>
<tr class="separator:ad60d60974b3e894b6bae8e39665bb24b inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e3ac59f663aaa24ec55b83f0b5356d inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a23e3ac59f663aaa24ec55b83f0b5356d">UnlockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:a23e3ac59f663aaa24ec55b83f0b5356d inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlock user interface.  <a href="#a23e3ac59f663aaa24ec55b83f0b5356d">More...</a><br /></td></tr>
<tr class="separator:a23e3ac59f663aaa24ec55b83f0b5356d inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63dba872eba84db813de06dc654e028a inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a63dba872eba84db813de06dc654e028a">GetLayout</a> (void) const </td></tr>
<tr class="memdesc:a63dba872eba84db813de06dc654e028a inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Layout.  <a href="#a63dba872eba84db813de06dc654e028a">More...</a><br /></td></tr>
<tr class="separator:a63dba872eba84db813de06dc654e028a inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a920cc79e53e8b342c364cf6666d5387c inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a920cc79e53e8b342c364cf6666d5387c">MultiplexValue</a> (int index) const </td></tr>
<tr class="memdesc:a920cc79e53e8b342c364cf6666d5387c inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiplex value.  <a href="#a920cc79e53e8b342c364cf6666d5387c">More...</a><br /></td></tr>
<tr class="separator:a920cc79e53e8b342c364cf6666d5387c inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953b44b3c4394b442ef7387f5103ec21 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a953b44b3c4394b442ef7387f5103ec21">GetTabWidget</a> (void) const </td></tr>
<tr class="memdesc:a953b44b3c4394b442ef7387f5103ec21 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get TabWidget.  <a href="#a953b44b3c4394b442ef7387f5103ec21">More...</a><br /></td></tr>
<tr class="separator:a953b44b3c4394b442ef7387f5103ec21 inherit pub_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9693b497752b466891eaafeb34bec4d3">More...</a><br /></td></tr>
<tr class="separator:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a> ()</td></tr>
<tr class="memdesc:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a05246988b486def40926d8491e1bcc5f">More...</a><br /></td></tr>
<tr class="separator:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">AddDeviceToLog</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#af7b42de6bb3893df860063228b55c229">More...</a><br /></td></tr>
<tr class="separator:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">AddDataToLog</a> (const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a2e0b7af75abdbf39843d8bf2e45f08b9">More...</a><br /></td></tr>
<tr class="separator:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a12d811c6926fb86da6b47f889109da66">More...</a><br /></td></tr>
<tr class="separator:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">IsReady</a> (void) const </td></tr>
<tr class="memdesc:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">is device ready  <a href="#aee7828ae2eece2bace8e476dacc2bc12">More...</a><br /></td></tr>
<tr class="separator:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75e82ca2ae2fb7c39d973dd3d16bc698"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa325be57d48b268006120dde75dd65cc"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classflair_1_1filter_1_1_uav_multiplex"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1filter_1_1_uav_multiplex')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">flair::filter::UavMultiplex</a></td></tr>
<tr class="memitem:a89c5aab7862fa56db7dc1d8b40be25ce inherit pro_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a89c5aab7862fa56db7dc1d8b40be25ce">SetMultiplexComboBox</a> (std::string name, int index)</td></tr>
<tr class="memdesc:a89c5aab7862fa56db7dc1d8b40be25ce inherit pro_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set multiplex ComboBox.  <a href="#a89c5aab7862fa56db7dc1d8b40be25ce">More...</a><br /></td></tr>
<tr class="separator:a89c5aab7862fa56db7dc1d8b40be25ce inherit pro_methods_classflair_1_1filter_1_1_uav_multiplex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a> (<a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a3df9057ae23eb34f1b1dae8e7a4a9efc">More...</a><br /></td></tr>
<tr class="separator:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">SetIsReady</a> (bool status)</td></tr>
<tr class="memdesc:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">set is ready  <a href="#a120fdcc3d50f6f076084cb6943fdf412">More...</a><br /></td></tr>
<tr class="separator:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining X4 and X8 multiplexing. </p>
<p>The output order of the motors can be changed through ground station. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="ae7be46c8a6e49d2b53a733416cfd0fcb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">flair::filter::X4X8Multiplex::UavType_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>type of UAV </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036"></a>X4&#160;</td><td class="fielddoc">
<p>4 motors: front left, front right, rear left, rear right </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084"></a>X8&#160;</td><td class="fielddoc">
<p>8 motors: top front left, top front right, top rear left, top rear right, bottom front left, bottom front right, bottom rear left, bottom rear right </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4">flair::filter::X4X8Multiplex::MotorNames_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Motor names. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd"></a>TopFrontLeft&#160;</td><td class="fielddoc">
<p>Top front left, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756"></a>TopFrontRight&#160;</td><td class="fielddoc">
<p>Top front right, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450"></a>TopRearLeft&#160;</td><td class="fielddoc">
<p>Top rear left, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc"></a>TopRearRight&#160;</td><td class="fielddoc">
<p>Top rear right, X4 or X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4a77b9010aee3383fa0765b8154d7884a0"></a>BottomFrontLeft&#160;</td><td class="fielddoc">
<p>Bottom front left, X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4a6e80b22119896bcb7eedf15730c248a8"></a>BottomFrontRight&#160;</td><td class="fielddoc">
<p>Bottom front right, X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0"></a>BottomRearLeft&#160;</td><td class="fielddoc">
<p>Bottom rear left, X8 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="aeabd1401562b871ef67112dfc090a4b4a1b4222cea334c2c0694fad03b3100074"></a>BottomRearRight&#160;</td><td class="fielddoc">
<p>Bottom rear right, X8 </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a32a704ec5f3dcf55007b9d02998a5ce5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::filter::X4X8Multiplex::X4X8Multiplex </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">UavType_t</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a X4 and X8 multiplexing. It will be child of the FrameworkManager.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">type</td><td>type </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa3b731c11f87975b216e54f2b568c0e1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::filter::X4X8Multiplex::~X4X8Multiplex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a807762c68c04134ef3ccea86d68a238a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void flair::filter::X4X8Multiplex::UseDefaultPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Use default plot. </p>
<p>Plot the output values. </p>

<p>Reimplemented from <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f">flair::filter::UavMultiplex</a>.</p>

</div>
</div>
<a class="anchor" id="a1d01e1773c2550552e9704f267a74ba8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t flair::filter::X4X8Multiplex::MotorsCount </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Motors count. </p>
<p>Reimplemented from <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html" title="Class defining uav multiplexing. ">UavMultiplex</a>.</p>
<dl class="section return"><dt>Returns</dt><dd>motors count </dd></dl>

<p>Implements <a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html#a2b713ad5d45ef52cb8214d9b195bb287">flair::filter::UavMultiplex</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1filter.html">filter</a></li><li class="navelem"><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html">X4X8Multiplex</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
